Delete a project secret definition
DELETE
/v1/organisations/{id}/projects/{pid}/secrets/{name}Operation secrets.projectDelete · since 2026-11-05 · stable
Needs a session withwritescopeAnswers200 OK
Path parameters
- idstring (uuid)required
- The organisation id.
- pidstring (uuid)required
- The project id.
- namestringrequired
- The secret group.
Errors
Every error is { "error", "message", "detail"? } (Errors and references). Besides the codes any route can answer.
DELETE/v1/organisations/{id}/projects/{pid}/secrets/{name}
curl -X DELETE "https://api.rykloud.com/v1/organisations/$ORG_ID/projects/$PROJECT_ID/secrets/$NAME" \
-H "Authorization: Bearer $RYKLOUD_TOKEN"